diff --git a/src/System/Define.ZC b/src/System/Define.ZC
index bf8e7bcd..707e21d0 100755
--- a/src/System/Define.ZC
+++ b/src/System/Define.ZC
@@ -15,7 +15,7 @@ U0 LoadDocDefines()
 	//$LK,"DD_BOOT_HIGH_LOC_DVD",A="FF:::/System/Boot/BootDVD.ZC,DD_BOOT_HIGH_LOC_DVD"$
 
 $TR,"LineRep"$
-$ID,2$DefinePrint("DD_ZEALOS_LOC","98,709");
+$ID,2$DefinePrint("DD_ZEALOS_LOC","98,756");
 $ID,-2$
 	DefinePrint("DD_MP_VECT", "%08X", MP_VECT_ADDR);
 	DefinePrint("DD_MP_VECT_END", "%08X", MP_VECT_ADDR + COREAP_16BIT_INIT_END - COREAP_16BIT_INIT - 1);
diff --git a/src/System/Gr/GrScreen.ZC b/src/System/Gr/GrScreen.ZC
index d3166177..1c8e64e6 100755
--- a/src/System/Gr/GrScreen.ZC
+++ b/src/System/Gr/GrScreen.ZC
@@ -395,16 +395,11 @@ U0 GrUpdateScreen32()
 	while (src < size) //draw 2 pixels at a time
 		*dst++ = gr_palette[*src++ & 0xFF] | gr_palette[*src++ & 0xFF] << 32;
 
+
+	GrCalcScreenUpdates;
+
 	if (LBtr(&sys_semas[SEMA_FLUSH_VBE_IMAGE], 0))
-	{
 		MemCopy(text.fb_alias, text.raw_screen, text.buffer_size);
-		src -= GR_WIDTH * GR_HEIGHT; // Reset src ptr
-		MemCopy(gr.screen_cache, src, GR_WIDTH * GR_HEIGHT);
-	}
-	else
-	{
-		GrCalcScreenUpdates;
-	}
 }
 
 U0 GrUpdateScreen()
